<!DOCTYPE HTML>
<html>
    <head>
        <title>Canceling Events Demo</title>
        <style type="text/css">
            a {
                background: grey;
                color:white;
                padding: 10px;
                border: thin solid black
            }
        </style>
    </head>
    <body>
        <p>
            <a href="http://www.bbc.co.uk">Visit the BBC</a>
            <a href="http://www.swanseacity.net">Visit the Swans (recommended)</a>
        </p>
        
        <script type="text/javascript">
                
            function handleClick(e) {
                if (!confirm("Do you want to navigate to " + e.target.href + " ?")) {
                    e.preventDefault();
                }
            }
                        
            var elems = document.querySelectorAll("a");
            for (var i = 0; i < elems.length; i++) {
                elems[i].addEventListener("click", handleClick, false);
            }
                        
        </script>
    </body>
</html>
